Push Conversation Messages
curl --request POST \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"type": "text",
"content": {
"text": "<string>"
},
"metadata": {
"model": "<string>",
"total": 123
},
"createdAt": "<string>"
}
]
}
'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages"
payload = { "messages": [
{
"type": "text",
"content": { "text": "<string>" },
"metadata": {
"model": "<string>",
"total": 123
},
"createdAt": "<string>"
}
] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [
{
type: 'text',
content: {text: '<string>'},
metadata: {model: '<string>', total: 123},
createdAt: '<string>'
}
]
})
};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Messages added successfully"
}{
"error": "An unexpected error occurred"
}Messages
Push Conversation Messages
Push one or more new messages to a conversation
POST
/
agents
/
{agentId}
/
conversations
/
{conversationId}
/
messages
Push Conversation Messages
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the agent
The ID of the conversation
Body
application/json
messages
(Text Message · object | Image Message · object | Button Message · object | Choice Message · object | Card Message · object | Carousel Message · object | Debug Message · object | File Message · object | Location Message · object | Transition Message · object | Extension Message · object | Path Message · object)[]
- Text Message
- Image Message
- Button Message
- Choice Message
- Card Message
- Carousel Message
- Debug Message
- File Message
- Location Message
- Transition Message
- Extension Message
- Path Message
Show child attributes
Show child attributes
Response
OK
Example:
"Messages added successfully"
⌘I
